IPP Software Navigation Tools IPP Links Communication Pan-STARRS Links

Ignore:
Timestamp:
Feb 2, 2005, 2:54:13 PM (21 years ago)
Author:
desonia
Message:

Added SWIG and autoconf.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/psLib/src/fileUtils/Makefile

    r2962 r3115  
    1 ifndef prefix
    2     export prefix=$(shell cd ../..;pwd)
    3 endif
    4 
    5 TARGET_STATIC  = libpslib.a
    6 include ../Makefile.Globals
    7 CFLAGS := $(CFLAGS_RELOC) -I. -I../sysUtils -I../collections -I../dataManip \
    8     -I.. -I../image -I../astronomy -DSER7_FILE="\"$(SER7_FILE)\"" -DTAIUTC_FILE="\"$(TAIUTC_FILE)\""
    9 
    10 SRC_OBJS = psLookupTable.o \
    11         psFits.o
    12 
    13 OBJS = $(addprefix makedir/,$(SRC_OBJS))
    14 
    15 HEADERS = $(SRC_OBJS:.o=.h)
    16 
    17 all: $(TARGET_STATIC)
     1# Makefile.in generated by automake 1.9.1 from Makefile.am.
     2# src/fileUtils/Makefile.  Generated from Makefile.in by configure.
     3
     4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
     5# 2003, 2004  Free Software Foundation, Inc.
     6# This Makefile.in is free software; the Free Software Foundation
     7# gives unlimited permission to copy and/or distribute it,
     8# with or without modifications, as long as this notice is preserved.
     9
     10# This program is distributed in the hope that it will be useful,
     11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     13# PARTICULAR PURPOSE.
     14
     15
     16
     17
     18SOURCES = $(libpslibfileUtils_la_SOURCES)
     19
     20srcdir = .
     21top_srcdir = ../..
     22
     23pkgdatadir = $(datadir)/pslib
     24pkglibdir = $(libdir)/pslib
     25pkgincludedir = $(includedir)/pslib
     26top_builddir = ../..
     27am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     28INSTALL = /usr/bin/install -c
     29install_sh_DATA = $(install_sh) -c -m 644
     30install_sh_PROGRAM = $(install_sh) -c
     31install_sh_SCRIPT = $(install_sh) -c
     32INSTALL_HEADER = $(INSTALL_DATA)
     33transform = $(program_transform_name)
     34NORMAL_INSTALL = :
     35PRE_INSTALL = :
     36POST_INSTALL = :
     37NORMAL_UNINSTALL = :
     38PRE_UNINSTALL = :
     39POST_UNINSTALL = :
     40build_triplet = x86_64-unknown-linux-gnu
     41host_triplet = x86_64-unknown-linux-gnu
     42subdir = src/fileUtils
     43DIST_COMMON = $(pslibinclude_HEADERS) $(srcdir)/Makefile.am \
     44        $(srcdir)/Makefile.in
     45ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     46am__aclocal_m4_deps = $(top_srcdir)/configure.in
     47am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     48        $(ACLOCAL_M4)
     49mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
     50CONFIG_HEADER = $(top_builddir)/src/config.h
     51CONFIG_CLEAN_FILES =
     52LTLIBRARIES = $(noinst_LTLIBRARIES)
     53libpslibfileUtils_la_LIBADD =
     54am_libpslibfileUtils_la_OBJECTS = psLookupTable.lo psFits.lo
     55libpslibfileUtils_la_OBJECTS = $(am_libpslibfileUtils_la_OBJECTS)
     56DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
     57depcomp = $(SHELL) $(top_srcdir)/depcomp
     58am__depfiles_maybe = depfiles
     59COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
     60        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
     61LTCOMPILE = $(LIBTOOL) --mode=compile --tag=CC $(CC) $(DEFS) \
     62        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
     63        $(AM_CFLAGS) $(CFLAGS)
     64CCLD = $(CC)
     65LINK = $(LIBTOOL) --mode=link --tag=CC $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
     66        $(AM_LDFLAGS) $(LDFLAGS) -o $@
     67SOURCES = $(libpslibfileUtils_la_SOURCES)
     68DIST_SOURCES = $(libpslibfileUtils_la_SOURCES)
     69am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     70am__vpath_adj = case $$p in \
     71    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     72    *) f=$$p;; \
     73  esac;
     74am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
     75am__installdirs = "$(DESTDIR)$(pslibincludedir)"
     76pslibincludeHEADERS_INSTALL = $(INSTALL_HEADER)
     77HEADERS = $(pslibinclude_HEADERS)
     78ETAGS = etags
     79CTAGS = ctags
     80DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     81ACLOCAL = ${SHELL} /home/desonia/panstarrs/psLib/missing --run aclocal-1.9
     82AMDEP_FALSE = #
     83AMDEP_TRUE =
     84AMTAR = ${SHELL} /home/desonia/panstarrs/psLib/missing --run tar
     85AR = ar
     86AUTOCONF = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoconf
     87AUTOHEADER = ${SHELL} /home/desonia/panstarrs/psLib/missing --run autoheader
     88AUTOMAKE = ${SHELL} /home/desonia/panstarrs/psLib/missing --run automake-1.9
     89AWK = gawk
     90CC = gcc
     91CCDEPMODE = depmode=gcc3
     92CFLAGS = -g -O2 -g2 -Wall -std=c99 -D_GNU_SOURCE   -I/usr/include -I/usr/include/libxml2
     93CONFIG_FILE = /home/desonia/panstarrs/psLib/config/psTime.config
     94CPP = gcc -E
     95CPPFLAGS =
     96CXX = g++
     97CXXCPP = g++ -E
     98CXXDEPMODE = depmode=gcc3
     99CXXFLAGS = -g -O2
     100CYGPATH_W = echo
     101DEFS = -DHAVE_CONFIG_H
     102DEPDIR = .deps
     103ECHO = echo
     104ECHO_C =
     105ECHO_N = -n
     106ECHO_T =
     107EGREP = grep -E
     108EXEEXT =
     109F77 = g77
     110FFLAGS = -fno-second-underscore -O -fno-f2c
     111GSL_CONFIG = /usr/bin/gsl-config
     112INSTALL_DATA = ${INSTALL} -m 644
     113INSTALL_PROGRAM = ${INSTALL}
     114INSTALL_SCRIPT = ${INSTALL}
     115INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
     116LDFLAGS =
     117LIBOBJS =
     118LIBS =
     119LIBTOOL = $(SHELL) $(top_builddir)/libtool
     120LN_S = ln -s
     121LTLIBOBJS =
     122MAKEINFO = ${SHELL} /home/desonia/panstarrs/psLib/missing --run makeinfo
     123OBJEXT = o
     124PACKAGE = pslib
     125PACKAGE_BUGREPORT =
     126PACKAGE_NAME =
     127PACKAGE_STRING =
     128PACKAGE_TARNAME =
     129PACKAGE_VERSION =
     130PATH_SEPARATOR = :
     131PERL = /usr/bin/perl
     132PSLIB_CFLAGS = -I${prefix}/include
     133PSLIB_LIBS = -L${exec_prefix}/lib -lpslib   -lcfitsio  -lfftw3f -L/usr/lib64 -lgsl -lgslcblas -lm -lxml2 -lz -lpthread -lm
     134RANLIB = ranlib
     135SET_MAKE =
     136SHELL = /bin/sh
     137STRIP = strip
     138SWIG = /usr/bin/swig
     139VERSION = 1.5
     140XML_CONFIG = /usr/bin/xml2-config
     141ac_ct_AR = ar
     142ac_ct_CC = gcc
     143ac_ct_CXX = g++
     144ac_ct_F77 = g77
     145ac_ct_RANLIB = ranlib
     146ac_ct_STRIP = strip
     147am__fastdepCC_FALSE = #
     148am__fastdepCC_TRUE =
     149am__fastdepCXX_FALSE = #
     150am__fastdepCXX_TRUE =
     151am__include = include
     152am__leading_dot = .
     153am__quote =
     154am__tar = ${AMTAR} chof - "$$tardir"
     155am__untar = ${AMTAR} xf -
     156bindir = ${exec_prefix}/bin
     157build = x86_64-unknown-linux-gnu
     158build_alias =
     159build_cpu = x86_64
     160build_os = linux-gnu
     161build_vendor = unknown
     162datadir = ${prefix}/share
     163exec_prefix = ${prefix}
     164host = x86_64-unknown-linux-gnu
     165host_alias =
     166host_cpu = x86_64
     167host_os = linux-gnu
     168host_vendor = unknown
     169includedir = ${prefix}/include
     170infodir = ${prefix}/info
     171install_sh = /home/desonia/panstarrs/psLib/install-sh
     172libdir = ${exec_prefix}/lib
     173libexecdir = ${exec_prefix}/libexec
     174localstatedir = ${prefix}/var
     175mandir = ${prefix}/man
     176mkdir_p = mkdir -p --
     177oldincludedir = /usr/include
     178prefix = /home/desonia/panstarrs/psLib
     179program_transform_name = s,x,x,
     180sbindir = ${exec_prefix}/sbin
     181sharedstatedir = ${prefix}/com
     182sysconfdir = ${prefix}/etc
     183target_alias =
     184
     185#Makefile for fileUtils functions of psLib
     186#
     187INCLUDES = \
     188        -I$(top_srcdir)/src/astronomy \
     189        -I$(top_srcdir)/src/collections \
     190        -I$(top_srcdir)/src/dataManip \
     191        -I$(top_srcdir)/src/image \
     192        -I$(top_srcdir)/src/sysUtils \
     193        $(all_includes)
     194
     195noinst_LTLIBRARIES = libpslibfileUtils.la
     196libpslibfileUtils_la_SOURCES = \
     197        psLookupTable.c \
     198        psFits.c
     199
     200BUILT_SOURCES = psFileUtilsErrors.h
     201EXTRA_DIST = psFileUtilsErrors.dat psFileUtilsErrors.h
     202pslibincludedir = $(includedir)/pslib
     203pslibinclude_HEADERS = \
     204        psLookupTable.h \
     205        psFits.h
     206
     207all: $(BUILT_SOURCES)
     208        $(MAKE) $(AM_MAKEFLAGS) all-am
     209
     210.SUFFIXES:
     211.SUFFIXES: .c .lo .o .obj
     212$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
     213        @for dep in $?; do \
     214          case '$(am__configure_deps)' in \
     215            *$$dep*) \
     216              cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
     217                && exit 0; \
     218              exit 1;; \
     219          esac; \
     220        done; \
     221        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  src/fileUtils/Makefile'; \
     222        cd $(top_srcdir) && \
     223          $(AUTOMAKE) --gnu  src/fileUtils/Makefile
     224.PRECIOUS: Makefile
     225Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
     226        @case '$?' in \
     227          *config.status*) \
     228            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
     229          *) \
     230            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
     231            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
     232        esac;
     233
     234$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
     235        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     236
     237$(top_srcdir)/configure:  $(am__configure_deps)
     238        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     239$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
     240        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
     241
     242clean-noinstLTLIBRARIES:
     243        -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
     244        @list='$(noinst_LTLIBRARIES)'; for p in $$list; do \
     245          dir="`echo $$p | sed -e 's|/[^/]*$$||'`"; \
     246          test "$$dir" != "$$p" || dir=.; \
     247          echo "rm -f \"$${dir}/so_locations\""; \
     248          rm -f "$${dir}/so_locations"; \
     249        done
     250libpslibfileUtils.la: $(libpslibfileUtils_la_OBJECTS) $(libpslibfileUtils_la_DEPENDENCIES)
     251        $(LINK)  $(libpslibfileUtils_la_LDFLAGS) $(libpslibfileUtils_la_OBJECTS) $(libpslibfileUtils_la_LIBADD) $(LIBS)
     252
     253mostlyclean-compile:
     254        -rm -f *.$(OBJEXT)
     255
     256distclean-compile:
     257        -rm -f *.tab.c
     258
     259include ./$(DEPDIR)/psFits.Plo
     260include ./$(DEPDIR)/psLookupTable.Plo
     261
     262.c.o:
     263        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     264        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     265#       source='$<' object='$@' libtool=no \
     266#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     267#       $(COMPILE) -c $<
     268
     269.c.obj:
     270        if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
     271        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     272#       source='$<' object='$@' libtool=no \
     273#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     274#       $(COMPILE) -c `$(CYGPATH_W) '$<'`
     275
     276.c.lo:
     277        if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
     278        then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
     279#       source='$<' object='$@' libtool=yes \
     280#       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
     281#       $(LTCOMPILE) -c -o $@ $<
     282
     283mostlyclean-libtool:
     284        -rm -f *.lo
     285
     286clean-libtool:
     287        -rm -rf .libs _libs
     288
     289distclean-libtool:
     290        -rm -f libtool
     291uninstall-info-am:
     292install-pslibincludeHEADERS: $(pslibinclude_HEADERS)
     293        @$(NORMAL_INSTALL)
     294        test -z "$(pslibincludedir)" || $(mkdir_p) "$(DESTDIR)$(pslibincludedir)"
     295        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     296          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
     297          f=$(am__strip_dir) \
     298          echo " $(pslibincludeHEADERS_INSTALL) '$$d$$p' '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     299          $(pslibincludeHEADERS_INSTALL) "$$d$$p" "$(DESTDIR)$(pslibincludedir)/$$f"; \
     300        done
     301
     302uninstall-pslibincludeHEADERS:
     303        @$(NORMAL_UNINSTALL)
     304        @list='$(pslibinclude_HEADERS)'; for p in $$list; do \
     305          f=$(am__strip_dir) \
     306          echo " rm -f '$(DESTDIR)$(pslibincludedir)/$$f'"; \
     307          rm -f "$(DESTDIR)$(pslibincludedir)/$$f"; \
     308        done
     309
     310ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
     311        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
     312        unique=`for i in $$list; do \
     313            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     314          done | \
     315          $(AWK) '    { files[$$0] = 1; } \
     316               END { for (i in files) print i; }'`; \
     317        mkid -fID $$unique
     318tags: TAGS
     319
     320TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     321                $(TAGS_FILES) $(LISP)
     322        tags=; \
     323        here=`pwd`; \
     324        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     325        unique=`for i in $$list; do \
     326            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     327          done | \
     328          $(AWK) '    { files[$$0] = 1; } \
     329               END { for (i in files) print i; }'`; \
     330        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
     331          test -n "$$unique" || unique=$$empty_fix; \
     332          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
     333            $$tags $$unique; \
     334        fi
     335ctags: CTAGS
     336CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
     337                $(TAGS_FILES) $(LISP)
     338        tags=; \
     339        here=`pwd`; \
     340        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
     341        unique=`for i in $$list; do \
     342            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
     343          done | \
     344          $(AWK) '    { files[$$0] = 1; } \
     345               END { for (i in files) print i; }'`; \
     346        test -z "$(CTAGS_ARGS)$$tags$$unique" \
     347          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
     348             $$tags $$unique
     349
     350GTAGS:
     351        here=`$(am__cd) $(top_builddir) && pwd` \
     352          && cd $(top_srcdir) \
     353          && gtags -i $(GTAGS_ARGS) $$here
     354
     355distclean-tags:
     356        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
     357
     358distdir: $(DISTFILES)
     359        @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
     360        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
     361        list='$(DISTFILES)'; for file in $$list; do \
     362          case $$file in \
     363            $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
     364            $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
     365          esac; \
     366          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
     367          dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
     368          if test "$$dir" != "$$file" && test "$$dir" != "."; then \
     369            dir="/$$dir"; \
     370            $(mkdir_p) "$(distdir)$$dir"; \
     371          else \
     372            dir=''; \
     373          fi; \
     374          if test -d $$d/$$file; then \
     375            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
     376              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
     377            fi; \
     378            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
     379          else \
     380            test -f $(distdir)/$$file \
     381            || cp -p $$d/$$file $(distdir)/$$file \
     382            || exit 1; \
     383          fi; \
     384        done
     385check-am: all-am
     386check: $(BUILT_SOURCES)
     387        $(MAKE) $(AM_MAKEFLAGS) check-am
     388all-am: Makefile $(LTLIBRARIES) $(HEADERS)
     389installdirs:
     390        for dir in "$(DESTDIR)$(pslibincludedir)"; do \
     391          test -z "$$dir" || $(mkdir_p) "$$dir"; \
     392        done
     393install: $(BUILT_SOURCES)
     394        $(MAKE) $(AM_MAKEFLAGS) install-am
     395install-exec: install-exec-am
     396install-data: install-data-am
     397uninstall: uninstall-am
     398
     399install-am: all-am
     400        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
     401
     402installcheck: installcheck-am
     403install-strip:
     404        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
     405          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
     406          `test -z '$(STRIP)' || \
     407            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
     408mostlyclean-generic:
     409
     410clean-generic:
     411
     412distclean-generic:
     413        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
     414
     415maintainer-clean-generic:
     416        @echo "This command is intended for maintainers to use"
     417        @echo "it deletes files that may require special tools to rebuild."
     418        -test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
     419clean: clean-am
     420
     421clean-am: clean-generic clean-libtool clean-noinstLTLIBRARIES \
     422        mostlyclean-am
     423
     424distclean: distclean-am
     425        -rm -rf ./$(DEPDIR)
     426        -rm -f Makefile
     427distclean-am: clean-am distclean-compile distclean-generic \
     428        distclean-libtool distclean-tags
     429
     430dvi: dvi-am
     431
     432dvi-am:
     433
     434html: html-am
     435
     436info: info-am
     437
     438info-am:
     439
     440install-data-am: install-pslibincludeHEADERS
     441
     442install-exec-am:
     443
     444install-info: install-info-am
     445
     446install-man:
     447
     448installcheck-am:
     449
     450maintainer-clean: maintainer-clean-am
     451        -rm -rf ./$(DEPDIR)
     452        -rm -f Makefile
     453maintainer-clean-am: distclean-am maintainer-clean-generic
     454
     455mostlyclean: mostlyclean-am
     456
     457mostlyclean-am: mostlyclean-compile mostlyclean-generic \
     458        mostlyclean-libtool
     459
     460pdf: pdf-am
     461
     462pdf-am:
     463
     464ps: ps-am
     465
     466ps-am:
     467
     468uninstall-am: uninstall-info-am uninstall-pslibincludeHEADERS
     469
     470.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
     471        clean-libtool clean-noinstLTLIBRARIES ctags distclean \
     472        distclean-compile distclean-generic distclean-libtool \
     473        distclean-tags distdir dvi dvi-am html html-am info info-am \
     474        install install-am install-data install-data-am install-exec \
     475        install-exec-am install-info install-info-am install-man \
     476        install-pslibincludeHEADERS install-strip installcheck \
     477        installcheck-am installdirs maintainer-clean \
     478        maintainer-clean-generic mostlyclean mostlyclean-compile \
     479        mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
     480        tags uninstall uninstall-am uninstall-info-am \
     481        uninstall-pslibincludeHEADERS
     482
    18483
    19484psFileUtilsErrors.h: psFileUtilsErrors.dat
    20         perl ../parseErrorCodes.pl --data=$? $@
    21 
    22 
    23 # Rule to make static library
    24 
    25 libpslib.a:     $(OBJS)
    26 # The ar option -r is to add/replace object and -s is to create
    27 # a symbol table in the archive
    28         $(AR) rcs ../$@ $(OBJS)
    29 
    30 # Define PHONY target "install" which will install necessary files
    31 install: $(TARGET_STATIC)
    32         install $(HEADERS) $(includedir)
    33 
    34 # Define PHONY target "distclean" which will cleanup the distribution
    35 distclean:      clean
    36         $(RM) ../$(TARGET_STATIC)
    37 
    38 # Define PHONY target "clean" which will cleanup the development area
    39 clean:
    40         @echo "    Deleting intermediate files for 'fileUtils'"
    41         $(RM) $(OBJS) *.lint $(SRC_OBJS:.o=.i)
    42 
    43 cleandep:
    44         $(RM) $(OBJS:.o=.d)
    45 
    46 %.lint: %.c
    47         splint +posixlib -exportlocal -realcompare $(INCLUDE_GLOBAL) $? > $@; cat $@
    48 
    49 %.i: %.c
    50         $(CC) -E $(CFLAGS) -o $@ $<
    51 
    52 makedir/%.o: %.c
    53         $(CC) -c $(CFLAGS) -o $@ $<
    54 
    55 makedir/%.d: %.c
    56         $(CC) -MM $(CFLAGS) $< > $@.tmp
    57         sed 's|\($*\)\.o[ :]*|\1.o $@ : |g' $@.tmp > $@
    58         $(RM) -f $@.tmp
    59 
    60 include $(OBJS:.o=.d)
     485        perl $(top_srcdir)/src/parseErrorCodes.pl --data=$? $@
     486# Tell versions [3.59,3.63) of GNU make to not export all variables.
     487# Otherwise a system limit (for SysV at least) may be exceeded.
     488.NOEXPORT:
Note: See TracChangeset for help on using the changeset viewer.